<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      data-namespace-typo3-fluid="true">

<li class="c-mediathek__item c-mediathek__{resultrow.type}">
    <figure class="o-media__img o-media__img--fill">
        <a href="{resultrow.file.publicUrl}" class="o-media__link o-media__link--overlay"
           title="{resultrow.thumbnail.alternative}" data-sub-html=".c-mediathek__item--caption{resultrow.thumbnail.properties.uid}">
            <div class="o-media__imageholder">
                <f:image src="{resultrow.thumbnail.publicUrl}"  />
                <f:if condition="{resultrow.thumbnail.properties.drk_show_copyright}==1">
                <span class="o-media__copyright">
                    {resultrow.file.properties.copyright}
                </span>
                </f:if>
                <span class="o-media__zoom"></span>
                <span class="c-mediathek__item--caption  c-mediathek__item--caption{resultrow.thumbnail.properties.uid}">
                    <f:format.raw>{resultrow.title}</f:format.raw>
                </span>
            </div>
        </a>
    </figure>
    <div class="c-mediathek__item__footer">
        <span class="c-mediathek__item__title">
            <f:if condition="{resultrow.title}">
                <f:then><f:format.raw>{resultrow.title}</f:format.raw></f:then>
                <f:else>{resultrow.file.name}</f:else>
            </f:if>
        </span>
        <f:switch expression="{resultrow.type}">
            <f:case value="image"><f:render section="downloadLink" arguments="{resultrow}" /></f:case>
            <f:case value="video"><f:comment><!-- At the time there are only youtube videos online, which cannot downloaded.--></f:comment></f:case>
            <f:case value="pdf"><f:render section="downloadLink" arguments="{resultrow}" /></f:case>
        </f:switch>
    </div>
</li>

<f:section name="downloadLink">
    <br>
    <a href="{file.publicUrl}" class="c-mediathek__item__link-download" download="{file.name}">Download</a>
</f:section>


</html>
